> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Subscription Room > Get the notification subscription details for a specific room. Note that the unread counter value depends on your settings at the **Manage** > **Workspace** > **General** section. ### Changelog | Version | Description | | ---------------- | ------------| |8.8.0 | Added the `threadDrafts` field | |0.63.0 | Added | ## OpenAPI ````json GET /api/v1/subscriptions.getOne { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/subscriptions.getOne": { "parameters": [], "get": { "summary": "Get Subscription Room", "description": "Get the notification subscription details for a specific room. Note that the unread counter value depends on your settings at the **Manage** > **Workspace** > **General** section.\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|8.8.0 | Added the `threadDrafts` field |\n|0.63.0 | Added |", "operationId": "get-api-v1-subscriptions.getOne", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "schema": { "type": "string", "example": "ByehQjC44FwMeiLbX" }, "in": "query", "name": "roomId", "description": "The room ID.", "required": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "subscription": { "$ref": "#/components/schemas/Subscription" }, "success": { "type": "boolean" } }, "x-examples": { "Success Example": { "subscription": { "_id": "65cdba92f581e473b5647051", "open": true, "alert": true, "unread": 1, "userMentions": 1, "groupMentions": 0, "ts": "2024-02-15T07:17:38.547Z", "rid": "GENERAL", "name": "general", "t": "c", "u": { "_id": "fZ3bvXC72pobjFPLJ", "username": "funke" }, "_updatedAt": "2024-07-02T18:07:35.267Z", "ls": "2024-05-30T16:47:36.993Z", "draft": "Remember to share the report", "threadDrafts": { "7aDSXtjMA3KPLxLjt": "I will check this and reply" } }, "success": true } } }, "examples": { "Success Example": { "value": { "result": [ { "_id": "jRca8kibJx8NkLJxt", "createdAt": "2018-04-13T12:46:26.517Z", "emails": [ { "address": "user.test.1523623548558@rocket.chat", "verified": false } ], "name": "EditedRealNameuser.test.1523623548558", "username": "editedusernameuser.test.1523623548558", "avatarETag": "6YbLtc4v9b4conXon" } ], "count": 1, "offset": 0, "total": 1, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Invalid Parameter": { "value": { "success": false, "error": "must have required property 'roomId' [error-invalid-params]", "errorType": "error-invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "tags": [ "Subscriptions" ] } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "schemas": { "Subscription": { "type": "object", "properties": { "_id": { "type": "string" }, "open": { "type": "boolean" }, "alert": { "type": "boolean" }, "unread": { "type": "integer" }, "userMentions": { "type": "integer" }, "groupMentions": { "type": "integer" }, "ts": { "type": "string" }, "rid": { "type": "string" }, "name": { "type": "string" }, "fname": { "type": "string", "nullable": true }, "t": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "ls": { "type": "string" }, "E2EKey": { "type": "string" }, "draft": { "type": "string", "description": "The unfinished message draft for the room." }, "threadDrafts": { "type": "object", "description": "The unfinished thread reply drafts, keyed by the ID of each thread's main message.", "additionalProperties": { "type": "string" } } } } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````